#include <QGuiApplication>
#include <QQmlApplicationEngine>
#include <iostream>
#include <string>

#include <caml/mlvalues.h>
#include <caml/callback.h>

#include "oboy.h"

int main(int argc, char *argv[])
{
    QCoreApplication::setAttribute(Qt::AA_EnableHighDpiScaling);
    QGuiApplication app(argc, argv);

    qmlRegisterType<OBoy>("com.oboy.oboy", 1, 0, "OBoy");

    QQmlApplicationEngine engine;
    const QUrl url(QStringLiteral("qrc:/main.qml"));
    QObject::connect(&engine, &QQmlApplicationEngine::objectCreated,
                     &app, [url](QObject *obj, const QUrl &objUrl) {
        if (!obj && url == objUrl)
            QCoreApplication::exit(-1);
    }, Qt::QueuedConnection);
    engine.load(url);

    caml_main(argv);

    return app.exec();
}
